%{?scl:%scl_package nodejs-%{npm_name}}
%{!?scl:%global pkg_name %{name}}

%global npm_name @jfhbrook/cronkite

Name: %{?scl_prefix}nodejs-jfhbrook-cronkite
Version: 1.0.0
Release: 1%{?dist}
Summary: a baby task scheduler
License: Apache-2.0
Group: Development/Libraries
URL: https://github.com/jfhbrook/public#readme
Source0: https://registry.npmjs.org/@entropic/bole/-/bole-4.0.1.tgz
Source1: https://registry.npmjs.org/@jfhbrook/cronkite/-/cronkite-1.0.0.tgz
Source2: https://registry.npmjs.org/ansi-regex/-/ansi-regex-0.2.1.tgz
Source3: https://registry.npmjs.org/ansi-styles/-/ansi-styles-1.1.0.tgz
Source4: https://registry.npmjs.org/bistre/-/bistre-1.0.1.tgz
Source5: https://registry.npmjs.org/chalk/-/chalk-0.5.1.tgz
Source6: https://registry.npmjs.org/core-util-is/-/core-util-is-1.0.3.tgz
Source7: https://registry.npmjs.org/duplexer/-/duplexer-0.1.2.tgz
Source8: https://registry.npmjs.org/escape-string-regexp/-/escape-string-regexp-1.0.5.tgz
Source9: https://registry.npmjs.org/fast-safe-stringify/-/fast-safe-stringify-2.1.1.tgz
Source10: https://registry.npmjs.org/has-ansi/-/has-ansi-0.1.0.tgz
Source11: https://registry.npmjs.org/individual/-/individual-3.0.0.tgz
Source12: https://registry.npmjs.org/inherits/-/inherits-2.0.4.tgz
Source13: https://registry.npmjs.org/isarray/-/isarray-0.0.1.tgz
Source14: https://registry.npmjs.org/minimist/-/minimist-1.2.8.tgz
Source15: https://registry.npmjs.org/node-cron/-/node-cron-3.0.3.tgz
Source16: https://registry.npmjs.org/readable-stream/-/readable-stream-1.0.34.tgz
Source17: https://registry.npmjs.org/split/-/split-0.3.3.tgz
Source18: https://registry.npmjs.org/stream-combiner/-/stream-combiner-0.2.2.tgz
Source19: https://registry.npmjs.org/string_decoder/-/string_decoder-0.10.31.tgz
Source20: https://registry.npmjs.org/strip-ansi/-/strip-ansi-0.3.0.tgz
Source21: https://registry.npmjs.org/supports-color/-/supports-color-0.2.0.tgz
Source22: https://registry.npmjs.org/through/-/through-2.3.8.tgz
Source23: https://registry.npmjs.org/through2/-/through2-0.5.1.tgz
Source24: https://registry.npmjs.org/uuid/-/uuid-8.3.2.tgz
Source25: https://registry.npmjs.org/xtend/-/xtend-3.0.0.tgz
Source26: nodejs-jfhbrook-cronkite-%{version}-registry.npmjs.org.tgz
BuildRequires: nodejs-npm
%if 0%{!?scl:1}
BuildRequires: nodejs-packaging
%endif
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch

Provides: %{?scl_prefix}npm(%{npm_name}) = %{version}
Provides: bundled(npm(@entropic/bole)) = 4.0.1
Provides: bundled(npm(@jfhbrook/cronkite)) = 1.0.0
Provides: bundled(npm(ansi-regex)) = 0.2.1
Provides: bundled(npm(ansi-styles)) = 1.1.0
Provides: bundled(npm(bistre)) = 1.0.1
Provides: bundled(npm(chalk)) = 0.5.1
Provides: bundled(npm(core-util-is)) = 1.0.3
Provides: bundled(npm(duplexer)) = 0.1.2
Provides: bundled(npm(escape-string-regexp)) = 1.0.5
Provides: bundled(npm(fast-safe-stringify)) = 2.1.1
Provides: bundled(npm(has-ansi)) = 0.1.0
Provides: bundled(npm(individual)) = 3.0.0
Provides: bundled(npm(inherits)) = 2.0.4
Provides: bundled(npm(isarray)) = 0.0.1
Provides: bundled(npm(minimist)) = 1.2.8
Provides: bundled(npm(node-cron)) = 3.0.3
Provides: bundled(npm(readable-stream)) = 1.0.34
Provides: bundled(npm(split)) = 0.3.3
Provides: bundled(npm(stream-combiner)) = 0.2.2
Provides: bundled(npm(string_decoder)) = 0.10.31
Provides: bundled(npm(strip-ansi)) = 0.3.0
Provides: bundled(npm(supports-color)) = 0.2.0
Provides: bundled(npm(through)) = 2.3.8
Provides: bundled(npm(through2)) = 0.5.1
Provides: bundled(npm(uuid)) = 8.3.2
Provides: bundled(npm(xtend)) = 3.0.0
AutoReq: no
AutoProv: no

%if 0%{?scl:1}
%define npm_cache_dir npm_cache
%else
%define npm_cache_dir /tmp/npm_cache_%{name}-%{version}-%{release}
%endif

%description
%{summary}

%prep
mkdir -p %{npm_cache_dir}
%{?scl:scl enable %{?scl_nodejs} - << \end_of_scl}
for tgz in %{sources}; do
  echo $tgz | grep -q registry.npmjs.org || npm cache add --cache %{npm_cache_dir} $tgz
done
%{?scl:end_of_scl}

%setup -T -q -a 26 -D -n %{npm_cache_dir}

%build
%{?scl:scl enable %{?scl_nodejs} - << \end_of_scl}
npm install --cache-min Infinity --cache %{?scl:../}%{npm_cache_dir} --no-shrinkwrap --no-optional --global-style true %{npm_name}@%{version}
%{?scl:end_of_scl}

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/node_modules %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/crontab.json %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/main.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

mkdir -p %{buildroot}%{_bindir}/
chmod 0755 %{buildroot}%{nodejs_sitelib}/%{npm_name}/main.js
ln -sf %{nodejs_sitelib}/%{npm_name}/main.js %{buildroot}%{_bindir}/cronkite

%clean
rm -rf %{buildroot} %{npm_cache_dir}

%files
%{nodejs_sitelib}/%{npm_name}
%{_bindir}/cronkite



%changelog
